> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.youratlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.youratlas.com/_mcp/server.

# Search tool templates

POST https://api.youratlas.com/v1/api/tools/templates
Content-Type: application/json

Search endpoint (not a create). Returns an Azure Cognitive Search result envelope.

Reference: https://docs.youratlas.com/api-reference/atlas-api/tools/search-tool-templates

## Authentication

- `api-key` header (required) — Your Atlas API key. Get it from the Atlas Portal under Settings > API Keys.

## Request

### Body (application/json)

This endpoint expects an object.

- `query` (string, optional)
- `categories` (list of string, optional)

## Response

### 200

Search results

- `@odata.context` (string, optional)
- `@search.nextPageParameters` (ToolsTemplatesPostResponsesContentApplicationJsonSchemaSearchNextPageParameters, optional)
- `value` (list of ToolsTemplatesPostResponsesContentApplicationJsonSchemaValueItems, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional)

## Types

### ToolsTemplatesPostResponsesContentApplicationJsonSchemaSearchNextPageParameters

### ToolsTemplatesPostResponsesContentApplicationJsonSchemaValueItems

PascalCase Azure Table Storage row.

- `@search.score` (double, optional)
- `PartitionKey` (string, optional)
- `RowKey` (string, optional)
- `Timestamp` (datetime, optional)
- `odata.etag` (string, optional)
- `Name` (string, optional)
- `Categories` (string, optional) — JSON-encoded array of category names.
- `TemplateSettings` (string, optional) — JSON-encoded template settings.
- `Placeholders` (string, optional) — JSON-encoded array of placeholder field definitions.
- `OptionalPlaceholders` (string, optional) — JSON-encoded list of optional placeholder names.
- `RequiredPlaceholders` (string, optional) — JSON-encoded list of required placeholder names.
- `Version` (string, optional)
- `IsActive` (boolean, optional)
- `Status` (enum, optional)
  - Allowed values: `Approved`, `Waiting for Approval`, `Draft`
- `IconUrl` (string, optional)
- `DocumentationUrl` (string, optional)
- `CreatedAt` (string, optional)
- `UpdatedAt` (string, optional)

### ErrorError

- `message` (string, optional)
- `code` (string, optional)
- `requestId` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "@odata.context": "string",
  "@search.nextPageParameters": {},
  "value": [
    {
      "@search.score": 1.1,
      "PartitionKey": "string",
      "RowKey": "string",
      "Timestamp": "2024-01-15T09:30:00Z",
      "odata.etag": "string",
      "Name": "string",
      "Categories": "string",
      "TemplateSettings": "string",
      "Placeholders": "string",
      "OptionalPlaceholders": "string",
      "RequiredPlaceholders": "string",
      "Version": "string",
      "IsActive": true,
      "Status": "Approved",
      "IconUrl": "string",
      "DocumentationUrl": "string",
      "CreatedAt": "string",
      "UpdatedAt": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.youratlas.com/v1/api/tools/templates"

payload = {}
headers = {
    "api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.youratlas.com/v1/api/tools/templates';
const options = {
  method: 'POST',
  headers: {'api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.youratlas.com/v1/api/tools/templates"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.youratlas.com/v1/api/tools/templates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.youratlas.com/v1/api/tools/templates")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.youratlas.com/v1/api/tools/templates', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.youratlas.com/v1/api/tools/templates");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.youratlas.com/v1/api/tools/templates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```